Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 20 Jul 2021 15:41:30 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery This is the worst online experience ever
Very bad bad bad
I ordered and my order 7476560710 was shipped on the 6th of July and I still didn’t receive it
I called more than 4 times to the call center and they tell me they filed a complaint and they will contact me and no one does
Extremely bad and disrespectful 
Now 2 weeks have passed and no one has called me and I have not received it
I will spread the word out that max is the worst place to ever shop with extremely extremely disappointed https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2887105